Package org.gitana.platform.client.principal

# Interface DomainGroup

All Superinterfaces:
  `AccessControllable`, `Attachable`, `Copyable`, `Document`, `DomainDocument`, `DomainPrincipal`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Principal`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `DomainGroupImpl`

public interface DomainGroup extends DomainPrincipal

Author:
  uzi

## Field Summary

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.principal.DomainPrincipal

`FIELD_AUTHORITIES, FIELD_NAME, FIELD_TYPE`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPrincipal(String principalId)`
`void`
`addPrincipal(DomainPrincipal principal)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`listPrincipals()`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`listPrincipals(boolean includeInherited)`
`Group`
`readGroup(Branch branch)`
`Group`
`readGroup(Branch branch, boolean createIfNotFound)`
`void`
`removePrincipal(String principalId)`
`void`
`removePrincipal(DomainPrincipal principal)`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.attachment.Attachable

`deleteAttachment, deleteAttachment, downloadAttachment, downloadAttachment, getDownloadUri, listAttachments, uploadAttachment, uploadAttachment, uploadAttachment, uploadAttachments, uploadAttachments`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.client.domain.DomainDocument

`getDomain`

### Methods inherited from interface org.gitana.platform.client.principal.DomainPrincipal

`getAuthorities, getDomainId, getDomainQualifiedId, getDomainQualifiedName, getName, getType, listParentGroups, listParentGroups, setName, setType`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface java.security.Principal

`equals, hashCode, implies, toString`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Method Details

### listPrincipals

org.gitana.platform.support.ResultMap<DomainPrincipal> listPrincipals()

### listPrincipals

org.gitana.platform.support.ResultMap<DomainPrincipal> listPrincipals(boolean includeInherited)

### addPrincipal

void addPrincipal(DomainPrincipal principal)

### addPrincipal

void addPrincipal(String principalId)

### removePrincipal

void removePrincipal(DomainPrincipal principal)

### removePrincipal

void removePrincipal(String principalId)

### readGroup

Group readGroup(Branch branch)

### readGroup

Group readGroup(Branch branch, boolean createIfNotFound)